
Application: gvSIG desktop - gvSIG bugs #1365
Does not persist the prefix of the first table after a Join of two tables
11/08/2012 02:03 PM - Vicent Domenech

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Document table
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2057 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Open gvSIG
New table
Add table rrline.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/rrline.dbf.zip)
Add table rrline_filipinas.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/rrline_filipinas.dbf.zip)
Table, create join
Choose a data store as "rrline.dbf" and click Next
Choose the second data store as "rrline_filifinas.dbf and click Next
Choose as key of first table "rrlntype.shp", the key of second table "rrlntype.shp", type of prefix for the first table: 1, type of prefix for
the second table: 2 and "userld" as the attribute to join. Next and finish.
Now we see the fields of rrline.dbf with the prefix 1 and the fields of rrline_filipinas with the prefix 2 on the new rrline.dbf
Save the project
Close gvSIG
Open gvSIG
Load last gvSIG project
Check the prefix of rrlntype.dbf (1) does not persist

History
#1 - 11/12/2012 12:40 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 11/12/2012 12:43 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Fixed load-from-state method (persistence).

gvsig-desktop:r39213

Test: the steps described should now work.

#3 - 11/15/2012 09:43 AM - María Maluenda
- Status changed from Fixed to Closed
Closed in the gvSIG build 2058
